<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:edh="urn:us:gov:ic:edh"
                xmlns:arh="urn:us:gov:ic:arh"
                xmlns:rr="urn:us:gov:ic:revrecall"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="urn:x-us:gov:ic:tdf:changes"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xhtml="http://www.w3.org/1999/xhtml-StopBrowserRendering"
                xmlns:ism="urn:us:gov:ic:ism"
                xmlns:ch="urn:x-us:gov:ic:tdf:changes"
                version="2.0"
                exclude-result-prefixes="ch">
   <xsl:output encoding="US-ASCII"/>
   <!--present documentation before input comments--><xsl:template match="/">
      <xsl:text xml:space="preserve">
</xsl:text>
      <xsl:comment>
  This file is auto-generated, do not edit this file directly.
  
  These are the changes needed to update BASE-TDF into IC-TDF.
  All changes are marked "Ic-Tdf:" with comments.
  
  IC-TDF-Changes.xml
</xsl:comment>
      <xsl:text xml:space="preserve">
</xsl:text>
      <xsl:apply-templates/>
   </xsl:template>
   <!--assume comments in prologue start on new lines--><xsl:template match="/comment()">
      <xsl:text xml:space="preserve">
</xsl:text>
      <xsl:copy/>
   </xsl:template>
   <!--assume document element not being matched; copy namespaces to reduce the need for declarations--><xsl:template match="/*">
      <xsl:text xml:space="preserve">
</xsl:text>
      <xsl:element name="{name(/*)}" namespace="{namespace-uri(/*)}">
         <xsl:copy-of select="(/ | document(''))/*/                      namespace::*[.!='http://www.w3.org/1999/XSL/Transform'                               and .!='urn:x-us:gov:ic:tdf:changes']"/>
         <xsl:apply-templates select="@*|node()"/>
      </xsl:element>
   </xsl:template>
   <!--Identity transform for all unmached leaf nodes--><xsl:template match="@*|text()|comment()|processing-instruction()">
      <xsl:copy/>
   </xsl:template>
   <!--Identity transform for all unmached elements--><xsl:template match="*">
      <xsl:element name="{name(.)}" namespace="{namespace-uri(.)}">
         <xsl:apply-templates select="@*|node()"/>
      </xsl:element>
   </xsl:template>
   <!--Using a template allows xml:space to be used in param--><xsl:template name="copy-content">
      <xsl:param name="rtf"/>
      <xsl:copy-of select="$rtf"/>
   </xsl:template>
   <!--Expose current element's start tag--><xsl:template name="show-old-start-tag">
      <xsl:comment>
         <xsl:text xml:space="preserve">Replacing:
</xsl:text>
         <xsl:apply-templates mode="expose" select=".">
            <xsl:with-param name="suppress" select="true()"/>
         </xsl:apply-templates>
         <xsl:text xml:space="preserve">
</xsl:text>
      </xsl:comment>
   </xsl:template>
   <xsl:template name="show-old-element">
      <xsl:comment>
         <xsl:text xml:space="preserve">Replacing:
</xsl:text>
         <xsl:apply-templates mode="expose" select="."/>
         <xsl:text xml:space="preserve">
</xsl:text>
      </xsl:comment>
   </xsl:template>
   <xsl:template mode="expose" match="*">
      <xsl:param name="suppress" select="false()"/>
      <xsl:value-of disable-output-escaping="yes" select="concat('&lt;',name(.))"/>
      <xsl:for-each select="@*">
         <xsl:value-of select="concat(' ',name(.),'=&#34;',.,'&#34;')"/>
      </xsl:for-each>
      <xsl:if test="not(node())">/</xsl:if>
      <xsl:text>&gt;</xsl:text>
      <xsl:if test="not( $suppress ) and node()">
         <xsl:apply-templates mode="expose"/>
         <xsl:value-of disable-output-escaping="yes" select="concat('&lt;/',name(.),'&gt;')"/>
      </xsl:if>
   </xsl:template>
   <xsl:template mode="expose" match="comment()">
      <xsl:value-of disable-output-escaping="yes" select="concat('&lt;!-',.,'-&gt;')"/>
   </xsl:template>
   <xsl:template mode="expose" match="processing-instruction()">
      <xsl:value-of disable-output-escaping="yes" select="concat('&lt;?',name(.),' ',.,'?&gt;')"/>
   </xsl:template>
   <!--Specific node changes follow--><!--injectAttribute--><xsl:template match="xs:import[@namespace='urn:us:gov:ic:cvenum:tdf:signaturealgorithm']">
      <xsl:call-template name="show-old-start-tag"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">  
    <xsl:comment> Ic-Tdf: Update import path to BASE-TDF CVEGenerated for CVEnumTDFHashAlgorithm </xsl:comment>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:attribute name="schemaLocation" namespace="">../BASE-TDF/CVEGenerated/CVEnumTDFSignatureAlgorithm.xsd</xsl:attribute>
         <xsl:apply-templates select="node()"/>
      </xsl:copy>
   </xsl:template>
   <!--injectAttribute--><xsl:template match="xs:import[@namespace='urn:us:gov:ic:cvenum:tdf:hashalgorithm']">
      <xsl:call-template name="show-old-start-tag"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">  
    <xsl:comment> Ic-Tdf: Update import path to BASE-TDF CVEGenerated for CVEnumTDFSignatureAlgorithm </xsl:comment>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:attribute name="schemaLocation" namespace="">../BASE-TDF/CVEGenerated/CVEnumTDFHashAlgorithm.xsd</xsl:attribute>
         <xsl:apply-templates select="node()"/>
      </xsl:copy>
   </xsl:template>
   <!--injectAttribute--><xsl:template match="xs:import[@namespace='urn:us:gov:ic:cvenum:tdf:state']">
      <xsl:call-template name="show-old-start-tag"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">  
    <xsl:comment> Ic-Tdf: Update import path to BASE-TDF CVEGenerated for CVEnumTDFAppliesToState </xsl:comment>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:attribute name="schemaLocation" namespace="">../BASE-TDF/CVEGenerated/CVEnumTDFAppliesToState.xsd</xsl:attribute>
         <xsl:apply-templates select="node()"/>
      </xsl:copy>
   </xsl:template>
   <!--injectAttribute--><xsl:template match="xs:attribute[@name='version']/xs:simpleType/xs:restriction/xs:pattern">
      <xsl:call-template name="show-old-start-tag"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">
    <xsl:comment> Ic-Tdf: Update tdf:version regex to be for IC-TDF customization </xsl:comment>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:attribute name="value" namespace="">[0-9]{6}(\.[0-9]{6})?\-IC\-TDF\.[0-9]{6}(\.[0-9]{6})?(\-.{1,23})?</xsl:attribute>
         <xsl:apply-templates select="node()"/>
      </xsl:copy>
   </xsl:template>
   <!--injectBefore--><xsl:template match="xs:element[@name='TrustedDataCollection']">
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">
    <xsl:comment> Ic-Tdf: Add EDH, ARH, RevRecall schema imports </xsl:comment>
    <xs:import namespace="urn:us:gov:ic:edh" schemaLocation="../IC-EDH/IC-EDH.xsd"/>
    <xs:import namespace="urn:us:gov:ic:arh" schemaLocation="../ISM/IC-ARH.xsd"/>
    <xs:import namespace="urn:us:gov:ic:revrecall" schemaLocation="../RevRecall/RevRecall_XML.xsd"/>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*|node()"/>
      </xsl:copy>
   </xsl:template>
   <!--replaceElement--><xsl:template match="xs:complexType[@name='StatementMetadataType']/xs:sequence/xs:any">
      <xsl:call-template name="show-old-element"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">
    <xsl:comment> Ic-Tdf: Update xs:any to be xs:choice with EDH and ARH elements. </xsl:comment>
        <xs:choice>
          <xs:element ref="edh:Edh" minOccurs="1" maxOccurs="1"/>
          <xs:element ref="edh:ExternalEdh" minOccurs="1" maxOccurs="1"/>
          <xs:element ref="arh:Security" minOccurs="1" maxOccurs="1"/>
          <xs:element ref="arh:ExternalSecurity" minOccurs="1" maxOccurs="1"/>
        </xs:choice>
  </xsl:with-param>
      </xsl:call-template>
   </xsl:template>
   <!--replaceElement--><xsl:template match="xs:complexType[@name='HandlingStatementType']/xs:sequence/xs:any">
      <xsl:call-template name="show-old-element"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">
    <xsl:comment> Ic-Tdf: Update xs:any to be xs:choice with EDH and RevRecall elements. </xsl:comment>
    <xs:choice>
      <xs:element ref="edh:Edh" minOccurs="1" maxOccurs="1"/>
      <xs:element ref="edh:ExternalEdh" minOccurs="1" maxOccurs="1"/>
      <xs:element ref="rr:RevisionRecall" minOccurs="0" maxOccurs="1"/>
    </xs:choice>
  </xsl:with-param>
      </xsl:call-template>
   </xsl:template>
   <!--injectAttribute--><xsl:template match="xs:element[@name='HandlingAssertion']">
      <xsl:call-template name="show-old-start-tag"/>
      <xsl:call-template name="copy-content">
         <xsl:with-param name="rtf" xml:space="preserve">
    <xsl:comment> Ic-Tdf: Update minOccurs to 1 on HandlingAssertion. </xsl:comment>
  </xsl:with-param>
      </xsl:call-template>
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:attribute name="minOccurs" namespace="">1</xsl:attribute>
         <xsl:apply-templates select="node()"/>
      </xsl:copy>
   </xsl:template>
</xsl:stylesheet>
